function s=addFirstPoint(pts)  

mouseCoord = get(gca, 'CurrentPoint');
newPt = mouseCoord(1, 1:2); 
% append point 
s=[pts; newPt]; 
numPts = size(s,1); 
% draw point 
line( ...       
s(1,1), ...       
s(1,2), ...       
'Color','b', ...       
'EraseMode','none', ...       
'MarkerSize', 6, ...       
'Marker', 'square'); 
